Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

I have one physical Windows 2008 R2 server running Hyper-V. Running under Hyper-V I have a virtual Windows Server 2008 R2 server running Remote Desktop Services (Terminal Services). I'm preparing my applications using the "Install Application on Remote Desktop..." control panel app. So far so good. However, I am now trying to install FoxPro 2.6 which is a 16-bit windows application. When I try to install it I receive the message: "The version of this file is not compatible with the version of Windows you're running. Check your computer's system information to see whether you need an x86 (32-bit) or x64 (64-bit) version of the program, and then contact the software publisher". Is there any way around this? I'm in the middle of a large migration to thin-clients and foxpro 2.6, while it won't be around forever, is a very integral application for our data-entry personnel. How can I get this to work?

Thanks in advance!

share|improve this question

3 Answers 3

up vote 3 down vote accepted

The only way you can simulate this is to setup a 32-bit machine in a VM and install the Remote App extensions and run them through your TS. It's a very round-about way of doing it, but it'll get the programs on there until you can replace them.

share|improve this answer
    
Thanks for the answer. Because I will be hosting many TS users I need to keep the 64-bit version. What I have done is created a new Win2008 32-bit Terminal Server, installed the 16-bit app and created a Remote App. I added the Remote App to the .\Users\Public Desktop\ folder on the 64-bit Terminal Server. This was everyone who logs on to the Terminal Server has access to the Remote App. It's remote-within-remote which gives me a double performance hit... but so far it's actually quite usable. Thanks again everyone for the help! –  JohnyD May 26 '10 at 17:23

Sounds like (although you didn't specify) that you are running Windows 2008 x86-64. Doing some quick Googling, it appears that 64-bit editions of Windows will not run 16-bit executables. So, wipe and reinstall your VM with 32-bit Windows 2008 R2 and see if that improves matters.

share|improve this answer
1  
Simply put: You can't run 16-bit applications on 64-bit Windows. –  squircle May 25 '10 at 20:29
1  
Windows 2008 R2 does not come in 32-bit. Microsoft has discontinued new 32-bit server OSes and Applications. –  Chris S May 25 '10 at 22:03
    
Aha. I didn't realize that the 32-bit version was dropped for R2. Well, he could install Win2k8 32-bit non-R2 if he has the media for it. –  mfinni May 26 '10 at 1:01

Windows 2008 R2 is 64 bit only. Downgrade to Windows 2008 and install the 32 bit version. As mfinni says, they took out the 16 bit support on the 64 bit Windows 2008 R2.

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.